commit:     6ed7c16f7e836b9355d4fa5a5ef8ffa4bb8dc1e4
Author:     Guillaume Seren <guillaumeseren <AT> gmail <DOT> com>
AuthorDate: Tue Feb 25 14:37:31 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Feb 28 05:08:23 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ed7c16f

www-client/qutebrowser: Bump to 1.10.1

Closes: https://bugs.gentoo.org/710778
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Guillaume Seren <guillaumeseren <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-client/qutebrowser/Manifest                  |  1 +
 www-client/qutebrowser/qutebrowser-1.10.1.ebuild | 77 ++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/www-client/qutebrowser/Manifest b/www-client/qutebrowser/Manifest
index 5a094087d31..07c6eaf1f1a 100644
--- a/www-client/qutebrowser/Manifest
+++ b/www-client/qutebrowser/Manifest
@@ -1,2 +1,3 @@
+DIST qutebrowser-1.10.1.tar.gz 3096307 BLAKE2B 
d574660451563c16b82f968aafa6443e90e9b341628f508afc957e8ce263037ee564d236a2656e47b59e9d4d4d9347b21b41b752bf429e72df1a0961b491e411
 SHA512 
cc0a4743d3902f4263a844f810e6a7519a96a500306aabf75f54ed2389fa69fca05d634ab00ef49d091fa7986f9cabe61331a62a7f061a92f2a24eaf73d6e22c
 DIST qutebrowser-1.8.1.tar.gz 3605606 BLAKE2B 
5f60de24738aa9cab88149193c6ce884c663edaed6e018ce56d582eac5489af2f889d8a8074949165e4302847dda61695039d95df4dc992516d3b4e42b2abe8e
 SHA512 
5fff6a8590bb4fd26815984310e5ce57201eed9a4a1fb788594d70e64e00a666563851b376bbac78cb175d64ffbe34a032521db31ae389958fab796ee9c26c78
 DIST qutebrowser-1.8.3.tar.gz 3634523 BLAKE2B 
c36abcbd99767e3dbc7113d6432c5b7b2e4062e8b2892dbc15c4ffcde1d7b8f2d918674e3f5f0acf6b5e45eef794019f0cda1d9462da614ece8d1582952a0a95
 SHA512 
9a3dc3040d1236c81933263e031db4d44c86be206c54f0787a73b2dd7d32d6e742f9ac80626163515e917fbc9fa1588f76afcb21f4b3d31f47ba386d06c3c6e7

diff --git a/www-client/qutebrowser/qutebrowser-1.10.1.ebuild 
b/www-client/qutebrowser/qutebrowser-1.10.1.ebuild
new file mode 100644
index 00000000000..64a2262a182
--- /dev/null
+++ b/www-client/qutebrowser/qutebrowser-1.10.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit desktop distutils-r1 eutils xdg-utils
+
+DESCRIPTION="A keyboard-driven, vim-like browser based on PyQt5 and 
QtWebEngine"
+HOMEPAGE="https://www.qutebrowser.org/ 
https://github.com/qutebrowser/qutebrowser";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="scripts test"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="
+       app-text/asciidoc
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+RDEPEND="
+       >=dev-python/attrs-19.3.0[${PYTHON_USEDEP}]
+       >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+       >=dev-python/cssutils-1.0.2[${PYTHON_USEDEP}]
+       >=dev-python/jinja-2.11.1[${PYTHON_USEDEP}]
+       >=dev-python/pygments-2.5.2[${PYTHON_USEDEP}]
+       >=dev-python/pypeg2-2.15.2[${PYTHON_USEDEP}]
+       
>=dev-python/PyQt5-5.14.1[${PYTHON_USEDEP},declarative,multimedia,gui,network,opengl,printsupport,sql,widgets]
+       >=dev-python/PyQtWebEngine-5.14.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-5.3[${PYTHON_USEDEP},libyaml]
+"
+
+# Tests restricted as the deplist (misc/requirements/requirements-tests.txt)
+# isn't complete and X11 is required in order to start up qutebrowser.
+RESTRICT="test"
+
+python_compile_all() {
+       a2x -f manpage doc/${PN}.1.asciidoc || die "Failed generating man page"
+}
+
+python_test() {
+       py.test tests || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       doman doc/${PN}.1
+       domenu misc/org.${PN}.${PN}.desktop
+       doicon -s scalable icons/${PN}.svg
+
+       if use scripts; then
+               # Install only those userscripts that have an explicit license 
header
+               exeinto /usr/share/qutebrowser/userscripts/
+               doexe misc/userscripts/dmenu_qutebrowser
+               doexe misc/userscripts/openfeeds
+               doexe misc/userscripts/qute-keepass
+               doexe misc/userscripts/qute-pass
+               doexe misc/userscripts/rss
+               doexe misc/userscripts/tor_identity
+       fi
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       optfeature "PDF display support" www-plugins/pdfjs
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}

Reply via email to